
#delimit;
** This program...	;
clear; clear matrix; clear mata; program drop _all; discard;
set mem 3000m; set maxvar 30000; set matsize 155; set scheme s2color; set more off;

local basePath "U:\Slacalek\Laptop_X230\20130627\Research\BSinKS\20130408\cstMPCEurope\Latest\Code\Stata\";
* Current directory needs to be changed depending on working environment;
local stataPath "`basePath'";
local logPath "`stataPath'";
local dataPath "`basePath'data";
global docPath "`dataPath'";
adopath + "`stataPath'";
global eolString "_char(92) _char(92)";		* string denoting new line in LaTeX tables \\;

capture log close;
cd "`stataPath'";
log using "`logPath'\DoAllHFCS.log", replace;
cd "`dataPath'";
*************************************************************************************;
use "`dataPath'\D_compl.dta";

replace da2101 = 0 if da2101==.;
replace da2102 = 0 if da2102==.;
replace da2103 = 0 if da2103==.;
replace da2104 = 0 if da2104==.;
replace da2105 = 0 if da2105==.;
replace da2106 = 0 if da2106==.;
replace da2109 = 0 if da2109==.;

gen liquidAssets = da2101+da2102+da2103+da2104+da2105+da2106+da2109;
*** sum of deposits, mutual funds, bonds, non-SE business wealth, shares, managed accounts and voluntary pensions;

keep dhageh dn3001 dnnla di2000 hw0010 sa0100 liquidAssets;
rename dhageh age;
rename dn3001 networth;
rename dnnla netliquidassets;
rename di2000 income;
rename hw0010 wgt;
rename sa0100 country;

local allCountries "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK";
local allWealthVars "networth liquidAssets";
local allGraphFormats "wmf png eps pdf";
	
* Data transformations;
*************************************************************************************;
* Drop data, if age < 25 or >60;
drop if age < 25|age > 60;

foreach var of local allWealthVars {;	
	foreach cntry of local allCountries {;	
		disp "Country: `cntry'";
		ainequal `var' [weight=wgt] if country=="`cntry'";
		mat tempMat = r(b);
		sca gini_`var'_`cntry' = tempMat[1,1];
	};

	disp "Country: All countries";
	ainequal `var' [weight=wgt];
	mat tempMat = r(b);
	sca gini_`var'_ALL = tempMat[1,1];
};

cd "`basePath'";
*************************************************************************************;
local allCountries "ALL AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK";
gen observation = _n;
gen homeOwnership = .;
gen gini_networth = .;
gen gini_liquidAssets = .;
gen mpc_networth = .;
gen mpc_liquidAssets = .;
gen mpc_liquidAssets_bottomTop = .;
gen mpc_networth_bottomTop = .;
gen countryLabel = "L";
local counter = 1;

mat input mpcAll_networth =        (0.12\ 0.16\ 0.10\ 0.13\ 0.22\ 0.12\ 0.13\ 0.13\ 0.10\ 0.13\ 0.12\ 0.10\ 0.11\ 0.11\ 0.10\ 0.10);
mat input mpcAll_liquidAssets =    (0.26\ 0.24\ 0.27\ 0.25\ 0.26\ 0.38\ 0.28\ 0.30\ 0.35\ 0.31\ 0.23\ 0.18\ 0.19\ 0.32\ 0.29\ 0.23);
mat input mpcTop_networth =        (0.06\ 0.07\ 0.06\ 0.06\ 0.08\ 0.07\ 0.06\ 0.07\ 0.06\ 0.07\ 0.06\ 0.06\ 0.06\ 0.06\ 0.06\ 0.07);
mat input mpcBottom_networth =     (0.17\ 0.25\ 0.14\ 0.19\ 0.34\ 0.17\ 0.19\ 0.19\ 0.13\ 0.19\ 0.17\ 0.14\ 0.16\ 0.15\ 0.13\ 0.13);
mat input mpcTop_liquidAssets =    (0.14\ 0.14\ 0.14\ 0.14\ 0.14\ 0.18\ 0.15\ 0.15\ 0.17\ 0.16\ 0.14\ 0.13\ 0.13\ 0.16\ 0.15\ 0.14);
mat input mpcBottom_liquidAssets = (0.36\ 0.33\ 0.38\ 0.35\ 0.36\ 0.54\ 0.40\ 0.43\ 0.50\ 0.44\ 0.32\ 0.23\ 0.24\ 0.45\ 0.42\ 0.31);
mat input homeOwnership_all =      (60.1\ 47.7\ 69.6\ 76.7\ 44.2\ 82.7\ 67.8\ 55.3\ 72.4\ 68.7\ 67.1\ 77.7\ 57.1\ 71.5\ 81.8\ 89.9);

foreach cntry of local allCountries {;	
	replace homeOwnership = homeOwnership_all[`counter',1] in `counter';
	replace gini_networth = gini_networth_`cntry' in `counter';
	replace gini_liquidAssets = gini_liquidAssets_`cntry' in `counter';
	
	replace mpc_networth = mpcAll_networth[`counter',1] in `counter';
	replace mpc_liquidAssets = mpcAll_liquidAssets[`counter',1] in `counter';
	replace mpc_networth_bottomTop = mpcBottom_networth[`counter',1]/mpcTop_networth[`counter',1] in `counter';
	replace mpc_liquidAssets_bottomTop = mpcBottom_liquidAssets[`counter',1]/mpcTop_liquidAssets[`counter',1] in `counter';
	
	replace countryLabel = "`cntry'" in `counter';
	local counter = `counter'+1;
};

gen countryNum = 0;
replace countryNum = 1 if countryLabel == "ALL"; * All countries;
replace countryNum = 2 if countryLabel == "AT"; * Austria;
replace countryNum = 3 if countryLabel == "BE"; * Belgium;
replace countryNum = 4 if countryLabel == "CY"; * Cyprus;
replace countryNum = 5 if countryLabel == "DE"; * Germany;
replace countryNum = 6 if countryLabel == "ES"; * Spain;
replace countryNum = 7 if countryLabel == "FI"; * Finland;
replace countryNum = 8 if countryLabel == "FR"; * France;
replace countryNum = 9 if countryLabel == "GR"; * Greece;
replace countryNum = 10 if countryLabel == "IT"; * Italy;
replace countryNum = 11 if countryLabel == "LU"; * Luxembourg;
replace countryNum = 12 if countryLabel == "MT"; * Malta;
replace countryNum = 13 if countryLabel == "NL"; * Netherlands;
replace countryNum = 14 if countryLabel == "PT"; * Portugal;
replace countryNum = 15 if countryLabel == "SI"; * Slovenia;
replace countryNum = 16 if countryLabel == "SK"; * Slovakia;

label defin countryLabelLong 1 "All Countries" 2 "Austria" 3 "Belgium" 4 "Cyprus" 5 "Germany" 6 "Spain" 7 "Finland" 8 "France" 9 "Greece" 10 "Italy" 11 "Luxembourg" 12 "Malta" 13 "Netherlands" 14 "Portugal" 15 "Slovenia" 16 "Slovakia";
label values countryNum countryLabelLong;

*replace countryLabel = "All Countries" in 16;
replace homeOwnership = homeOwnership/100;

graph bar gini_networth, over(countryNum, label(angle(45))) nofill legend(off) bar(1, color(red*5))
 yscale(r(0.4 0.9)) ylabel(0 "0" 0.2 "0.2" 0.4 "0.4" 0.6 "0.6" 0.8 "0.8") 
 graphregion(color(white)) ytitle("Gini Coefficients -- Net Wealth");
graph save "`dataPath'\gini_networth", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\gini_networth.`frmt'", replace;
};

graph bar gini_liquidAssets, over(countryNum, label(angle(45))) nofill legend(off) bar(1, color(red*5))
yscale(r(0.4 0.9)) graphregion(color(white)) ytitle("Gini Coefficients -- Liquid Assets");
graph save "`dataPath'\gini_liquidAssets", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\gini_liquidAssets.`frmt'", replace;
};

graph bar gini_networth gini_liquidAssets, over(countryNum, label(angle(45))) nofill legend(label(1 "Net Wealth") label(2 "Liquid Assets")) 
bar(1, color(maroon*.7)) bar(2, color(red*5)) yscale(r(0.4 0.9)) 
graphregion(color(white)) ytitle("Gini Coefficients");
graph save "`dataPath'\gini_nwla", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\gini_nwla.`frmt'", replace;
};

twoway
(scatter gini_networth homeOwnership, mlabel(countryLabel) msymbol(O) 
mcolor(maroon) mlabcolor(maroon) graphregion(color(white))
  xlabel(0.4 "0.4" 0.5 "0.5" 0.6 "0.6" 0.7 "0.7" 0.8 "0.8" 0.9 "0.9")
   ylabel(0.4 "0.4" 0.5 "0.5" 0.6 "0.6" 0.7 "0.7" 0.8 "0.8")
 xtitle("Home-Ownership (Percent)") ytitle("Gini Coefficient for Net Wealth")); 
graph save "`dataPath'\homeOwnership_GiniNetWealth", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\homeOwnership_GiniNetWealth.`frmt'", replace;	
};

twoway
(scatter gini_liquidAssets homeOwnership, mlabel(countryLabel) msymbol(O) 
mcolor(maroon) mlabcolor(maroon) graphregion(color(white))
xtitle("Home-Ownership (Percent)") ytitle("Gini Coefficient for Liquid Assets")); 
graph save "`dataPath'\homeOwnership_GiniLiquidAssets", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\homeOwnership_GiniLiquidAssets.`frmt'", replace;	
};

twoway
(scatter gini_networth gini_liquidAssets, mlabel(countryLabel) msymbol(O) 
xscale(r(0.4 0.9)) yscale(r(0.4 0.9))
xtitle("Gini Coefficient for Liquid Assets") ytitle("Gini Coefficient for Net Wealth")); 
graph save "`dataPath'\GiniLiquidAssets_GiniNetWealth", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\GiniLiquidAssets_GiniNetWealth.`frmt'", replace;	
};

twoway
(scatter mpc_networth gini_networth, mlabel(countryLabel) msymbol(O) 
ytitle("Aggregate MPC") xtitle("Gini Coefficient for Net Wealth")); 
graph save "`dataPath'\mpcNetWealth_giniNetWealth", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\mpcNetWealth_giniNetWealth.`frmt'", replace;
};

twoway
(scatter mpc_liquidAssets gini_liquidAssets, mlabel(countryLabel) msymbol(O) 
mcolor(maroon) mlabcolor(maroon)  graphregion(color(white)) ytitle("Aggregate MPC")
xtitle("Gini Coefficient for Liquid Assets")); 
graph save "`dataPath'\mpcLiquidAssets_giniLiquidAssets", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\mpcLiquidAssets_giniLiquidAssets.`frmt'", replace;
};

twoway
(scatter mpc_networth gini_networth, mlabel(countryLabel) msymbol(square_hollow) mcolor(red*5) mlabcolor(red*5)) 
(scatter mpc_liquidAssets gini_liquidAssets, mlabel(countryLabel) msymbol(O)
mcolor(maroon*.7) mlabcolor(maroon*.7)
 xlabel(0.4 "0.4" 0.5 "0.5" 0.6 "0.6" 0.7 "0.7" 0.8 "0.8")
 ylabel(0 "0" 0.1 "0.1" 0.2 "0.2" 0.3 "0.3" 0.4 "0.4" 0.5 "0.5")
 graphregion(color(white)) legend(label(1 "Net Wealth") label(2 "Liquid Assets"))
ytitle("Aggregate MPC") xtitle("Gini Coefficient")); 
graph save "`dataPath'\mpc_gini_all", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\mpc_gini_all.`frmt'", replace;
};

twoway rcap mpc_liquidAssets mpc_networth observation in 1/16, ytitle("Aggregate MPC") xtitle("")
xlabel(1 "All Countries" 2 "Austria" 3 "Belgium" 4 "Cyprus" 5 "Germany" 6 "Spain" 7 "Finland" 8 "France" 9 "Greece" 10 "Italy" 11 "Luxembourg" 12 "Malta" 13 "The Netherlands" 14 "Portugal" 15 "Slovenia" 16 "Slovakia", angle(45))
 graphregion(color(white))
 yscale(r(0 0.5)) ylabel(0 "0" 0.1 "0.1" 0.2 "0.2" 0.3 "0.3" 0.4 "0.4" 0.5 "0.5")
 lwidth(medthick) lcolor(maroon) ;
graph save "`dataPath'\mpc_range", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\mpc_range.`frmt'", replace;
};

twoway
(scatter mpc_networth_bottomTop gini_networth, mlabel(countryLabel) msymbol(square_hollow) mcolor(red*5) mlabcolor(red*5)) 
(scatter mpc_liquidAssets_bottomTop gini_liquidAssets, mlabel(countryLabel) msymbol(O) 
mcolor(maroon*.7) mlabcolor(maroon*.7) xlabel(0.4 "0.4" 0.5 "0.5" 0.6 "0.6" 0.7 "0.7" 0.8 "0.8")
graphregion(color(white)) legend(label(1 "Net Wealth") label(2 "Liquid Assets"))
ytitle("MPC of Bottom 50% / MPC of Top 50%, by Wealth") xtitle("Gini Coefficient")); 
graph save "`dataPath'\mpc_gini_bottomTop", asis replace;
foreach frmt of local allGraphFormats {;
	graph export "`dataPath'\mpc_gini_bottomTop.`frmt'", replace;
};

*************************************************************************************;
log close;
